---
title: "Box Rates"
description: "For items inventory supplied to the warehouse in boxes, the method returns the rates: - for delivery from warehouse or sorting center to the buyer - for…"
lang: en-US
source: https://valeryverkhoturov.github.io/wb-api-client-docs/en/reference/api/rates/get-api-v1-tariffs-box
---

# Box Rates

```http
GET /api/v1/tariffs/box
```

**Base URL:** `https://common-api.wildberries.ru` · **Module:** [`rates`](https://valeryverkhoturov.github.io/wb-api-client-docs/en/reference/api/rates/) · **Section:** Stock Rates · [Specification doc ↗](https://dev.wildberries.ru/en/docs/openapi/rates#tag/stockRates/operation/getV1TariffsBox)

For items inventory supplied to the warehouse in boxes, the method returns the [rates](https://seller.wildberries.ru/dynamic-product-categories):

- for delivery from warehouse or sorting center to the buyer
- for delivery from the buyer to the sorting center
- for storage on WB warehouse

The rates for boxes match the **Supersafe** rates

[Request limit](https://dev.wildberries.ru/openapi/api-information#tag/introduction/Rate-Limits) per one seller account:

| Type             | Period | Limit       | Interval | Burst      |
| ---------------- | ------ | ----------- | -------- | ---------- |
| Personal         | 1 min  | 60 requests | 1 s      | 5 requests |
| Service          | 1 min  | 60 requests | 1 s      | 5 requests |
| Base with secret | 1 min  | 60 requests | 1 s      | 5 requests |
| Base             | 1 h    | 1 request   | 1 h      | 1 request  |

## Responses

| Code  | Description       | Schema             |
| ----- | ----------------- | ------------------ |
| `200` | Success           | `RatesBoxResponse` |
| `400` | Bad request       | `BadRequest`       |
| `401` | Unauthorized      | `object`           |
| `402` | Payment required  | `object`           |
| `429` | Too many requests | `object`           |

**Structure `200`:**

- `response` `models.RatesBoxResponse`
  - `data` `models.WarehousesBoxRates`
    - `currency` `string` — Rate currency
    - `dtNextBox` `string` — Start date of next rate
    - `dtTillMax` `string` — End date of the last set rate
    - `warehouseList` `models.WarehouseBoxRates[]` — Box rates grouped by Wildberries warehouses
      - `boxDeliveryBase` `string` — Logistics of the first liter, ₽
      - `boxDeliveryCoefExpr` `string` — Coefficient **Logistics**, %. The logistics cost is multiplied by it. Already included in the rates
      - `boxDeliveryLiter` `string` — Logistics of every next liter, ₽
      - `boxDeliveryMarketplaceBase` `string` — FBS logistics of the first liter, ₽
      - `boxDeliveryMarketplaceCoefExpr` `string` — Coefficient **FBS**, %. The FBS logistics cost is multiplied by it. Already included in the rates
      - `boxDeliveryMarketplaceLiter` `string` — FBS logistics of every next liter, ₽
      - `boxStorageBase` `string` — Storage of the first liter per day, ₽
      - `boxStorageCoefExpr` `string` — Coefficient **Storage**, %. The storage cost is multiplied by it. Already included in the rates
      - `boxStorageLiter` `string` — Storage of every next liter per day, ₽
      - `geoName` `string` — Warehouse location
      - `warehouseName` `string` — Warehouse name

**Structure `400`:**

- `detail` `string` — Error details
- `origin` `string` — WB internal service ID
- `requestId` `string` — Unique request ID
- `title` `string` — Error title

**Structure `401`:**

- `title` `string` — Error title
- `detail` `string` — Error details
- `code` `string` — Internal error code
- `requestId` `string` — Unique request ID
- `origin` `string` — WB internal service ID
- `status` `number` — HTTP status code
- `statusText` `string` — Text of the HTTP status code
- `timestamp` `string` — Request date and time

**Structure `402`:**

- `title` `string` — Error title
- `detail` `string` — Error details. The error is only returned to services from the [Solutions for business Catalog](https://dev.wildberries.ru/business-solutions)

**Structure `429`:**

- `title` `string` — Error title
- `detail` `string` — Error details
- `code` `string` — Internal error code
- `requestId` `string` — Unique request ID
- `origin` `string` — WB internal service ID
- `status` `number` — HTTP status code
- `statusText` `string` — Text of the HTTP status code
- `timestamp` `string` — Request date and time

## Call examples

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

**Python**

```python
from wb_api_client.rates import Configuration, ApiClient
from wb_api_client.rates.api import RatesApi

cfg = Configuration(access_token="<your WB JWT>")
api = RatesApi(ApiClient(cfg))

result = api.get_v1_tariffs_box(var_date=...)
print(result)
```

**TypeScript**

```ts
import {
  Configuration,
  RatesApi,
} from "@valeryverkhoturov/wb-api-client/rates";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new RatesApi(cfg);

const { data } = await api.getV1TariffsBox(date);
console.log(data);
```

**Go**

```go
import (
	"context"
	"fmt"

	wbrates "github.com/ValeryVerkhoturov/wb-api-client-go/rates"
)

cfg := wbrates.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbrates.NewAPIClient(cfg)

result, _, err := client.RatesAPI.GetV1TariffsBox(context.Background()).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
```

**Java**

```java
import io.github.valeryverkhoturov.wbapi.rates.ApiClient;
import io.github.valeryverkhoturov.wbapi.rates.SecretString;
import io.github.valeryverkhoturov.wbapi.rates.api.RatesApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
RatesApi api = new RatesApi(client);

System.out.println(api.getV1TariffsBox(date));
```

**PHP**

```php
use ValeryVerkhoturov\WbApiClient\Rates\Configuration;
use ValeryVerkhoturov\WbApiClient\Rates\SecretString;
use ValeryVerkhoturov\WbApiClient\Rates\Api\RatesApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new RatesApi(new Client(), $config);

print_r($api->getV1TariffsBox($date));
```

**OneScript**

```bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый RatesApi(Настройки);

Сообщить(Клиент.GetV1TariffsBox(date).Тело);
```

**C#**

```csharp
using ValeryVerkhoturov.WbApiClient.Rates.Api;
using ValeryVerkhoturov.WbApiClient.Rates.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new RatesApi(config);

Console.WriteLine(api.GetV1TariffsBox(date));
```

**Rust**

```rust
use wb_api_client::rates::apis::{configuration::Configuration, rates_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = rates_api::get_v1_tariffs_box(&cfg, date).await;
    println!("{:#?}", result);
}
```
